Page MenuHomeFreeBSD

Rationalize license test on Linuxolator files
Needs ReviewPublic

Authored by emaste on Feb 5 2018, 8:05 PM.

Details

Reviewers
peter
dfr
Summary

Many licenses on Linuxolator files contained a slightly modified first clause. Update to standard first clause, drop unnecessary third clause, use now-standard disclaimer (with AUTHORS AND CONTRIBUTORS), and add SPDX tag.

Review posted for comment and approval of the copyright holders listed in the license blocks. These changes can be committed only after approval from the copyright holders.

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

emaste created this revision.Feb 5 2018, 8:05 PM

sos@ (Søren Schmidt) has approved the changes by email. I've CC'd copyright holders who have a Phabricator account for review/approval. Would you please accept the review, add a comment, or reply to me by email if you approve of the changes to those files on which you have copyright?

marcel accepted this revision.Feb 5 2018, 9:16 PM

I'm ok with the changes. I'll trust Ed to give others a chance to chime in. Speculatively accepting the revision on everyone's behalf.

This revision is now accepted and ready to land.Feb 5 2018, 9:16 PM
gallatin accepted this revision.Feb 5 2018, 11:09 PM
eadler accepted this revision.Feb 11 2018, 9:54 PM
kan accepted this revision.Feb 11 2018, 9:57 PM

Sure.

emaste updated this revision to Diff 39381.Feb 16 2018, 3:06 PM

Refresh after partial commit

This revision now requires review to proceed.Feb 16 2018, 3:06 PM

After r329370 remaining files waiting on approval from:

  • Assar Westerlund
  • Doug Rabson
  • Peter Wemm
  • Tim J. Robbins
  • Dmitry Chagin
emaste edited reviewers, added: peter, dfr, dchagin; removed: marcel, gallatin, eadler, kan.Feb 16 2018, 3:09 PM
dchagin accepted this revision.Mar 1 2018, 12:18 PM
This revision is now accepted and ready to land.Mar 1 2018, 12:18 PM
emaste updated this revision to Diff 39861.Mar 1 2018, 2:08 PM
emaste removed a reviewer: dchagin.

Rebase after @dchagin approval.

This revision now requires review to proceed.Mar 1 2018, 2:08 PM